Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class TransportInDescription

    java.lang.Object
      org.apache.axis2.description.TransportInDescription

All Implemented Interfaces:
  ParameterInclude

    public class TransportInDescription

extends Object
implements ParameterInclude

Represents an incoming transport deployed in Axis2.

Field Summary
`protected String` | `name` Field name
`protected ParameterInclude` | `paramInclude` Field paramInclude
`protected TransportListener` | `receiver`

Constructor Summary
`TransportInDescription(String name)`

Method Summary
`void` | `addParameter(Parameter param)` Method addParameter.
`void` | `deserializeParameters(org.apache.axiom.om.OMElement parameterElement)`
`Flow` | `getFaultFlow()`
`Phase` | `getFaultPhase()`
`Flow` | `getInFlow()`
`Phase` | `getInPhase()`
`String` | `getName()` Get Transport name as a QName
`Parameter` | `getParameter(String name)` Method getParameter.
`ArrayList<Parameter>` | `getParameters()` Gets all the parameters in a given description.
`TransportListener` | `getReceiver()`
`boolean` | `isParameterLocked(String parameterName)` Checks whether the parameter is locked at any level.
`void` | `removeParameter(Parameter param)`
`void` | `setFaultFlow(Flow faultFlow)`
`void` | `setFaultPhase(Phase faultPhase)`
`void` | `setInFlow(Flow inFlow)`
`void` | `setInPhase(Phase inPhase)`
`void` | `setName(String name)`
`void` | `setReceiver(TransportListener receiver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

  Field name

### paramInclude

    protected final ParameterInclude paramInclude

  Field paramInclude

### receiver

    protected TransportListener receiver

Constructor Detail

### TransportInDescription

    public TransportInDescription(String name)

Method Detail

### addParameter

    public void addParameter(Parameter param)
                      throws AxisFault

  Method addParameter.

  Specified by:
    `addParameter` in interface `ParameterInclude`
  Parameters:
    `param` -
  Throws:
    `AxisFault`

### removeParameter

    public void removeParameter(Parameter param)
                         throws AxisFault

  Specified by:
    `removeParameter` in interface `ParameterInclude`
  Throws:
    `AxisFault`

### deserializeParameters

    public void deserializeParameters(org.apache.axiom.om.OMElement parameterElement)
                               throws AxisFault

  Specified by:
    `deserializeParameters` in interface `ParameterInclude`
  Throws:
    `AxisFault`

### getFaultFlow

    public Flow getFaultFlow()

### getFaultPhase

    public Phase getFaultPhase()

### getInFlow

    public Flow getInFlow()

### getInPhase

    public Phase getInPhase()

### getName

    public String getName()

  Get Transport name as a QName

  Returns:
    Returns QName.

### getParameter

    public Parameter getParameter(String name)

  Method getParameter.

  Specified by:
    `getParameter` in interface `ParameterInclude`
  Parameters:
    `name` -
  Returns:
    Returns Parameter.

### getParameters

    public ArrayList<Parameter> getParameters()

  Description copied from interface: `ParameterInclude`
  Gets all the parameters in a given description.

  Specified by:
    `getParameters` in interface `ParameterInclude`
  Returns:
    Returns ArrayList.

### getReceiver

    public TransportListener getReceiver()

  Returns:
    Returns TransportListener.

### isParameterLocked

    public boolean isParameterLocked(String parameterName)

  Description copied from interface: `ParameterInclude`
  Checks whether the parameter is locked at any level.

  Specified by:
    `isParameterLocked` in interface `ParameterInclude`

### setFaultFlow

    public void setFaultFlow(Flow faultFlow)

### setFaultPhase

    public void setFaultPhase(Phase faultPhase)

### setInFlow

    public void setInFlow(Flow inFlow)

### setInPhase

    public void setInPhase(Phase inPhase)

### setName

    public void setName(String name)

  Parameters:
    `name` -

### setReceiver

    public void setReceiver(TransportListener receiver)

  Parameters:
    `receiver` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.